Skip to main content
GET
Get shipping settings

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Replo-Api-Version
enum<string>
required

The public API version to use for this request.

Available options:
2026-11-17

Query Parameters

projectId
string<uuid>
required

Project whose shipping settings to read.

Response

Get shipping settings

labelFormat
enum<string>
required
Available options:
pdf4x6,
pdfLetter
handlingDays
integer
required
Required range: 0 <= x <= 30
defaultItemWeightGrams
integer | null
required
Required range: x <= 70000
customsSigner
string | null
required
Required string length: 1 - 255
defaultContentsType
enum<string>
required
Available options:
merchandise,
gift,
sample,
documents,
returnedGoods
eelPfc
string | null
required
Required string length: 1 - 64
shippedEmailTiming
enum<string>
required
Available options:
firstScan,
immediate
shippingMethod
enum<string> | null
required

ShippingMethod

Available options:
reploLabel,
shipstation,
csv,
manual,
null
object
enum<string>
required
Available options:
shipping_settings
projectId
string<uuid>
required